import { computed as h, onMounted as Ae, ref as u, watch as Ie, createElementBlock as n, openBlock as o, unref as i, normalizeStyle as E, normalizeClass as V, createBlock as $, createCommentVNode as c, renderSlot as v, createVNode as ie, createSlots as Ee, withCtx as d, normalizeProps as S, guardReactiveProps as N, createElementVNode as _, Fragment as ce, renderList as ve, createTextVNode as de, toDisplayString as M, nextTick as Ve } from "vue";
import { u as Me, o as De, e as he, g as Be, c as pe, t as Ge, p as D, a as ze, b as Ue, J as ye, d as We, M as He, f as k, X as Re, i as fe, x as ge, q as Xe, r as je, y as Ye } from "./index-CjXfhpMA.js";
import { L as qe } from "./Legend-ChuNykfI.js";
import { _ as Je } from "./Title-BfzkycPl.js";
import { _ as Ke } from "./Tooltip-p85hmQvg.js";
import { D as Qe } from "./DataTable-BfXSoPx-.js";
import { u as Ze, U as et } from "./usePrinter-bLtFFBkj.js";
import tt from "./vue-ui-skeleton-B1q5j9VT.js";
import lt from "./vue-ui-accordion-CEdZMQD4.js";
import { u as be } from "./useNestedProp-CmXi5M93.js";
import { _ as at } from "./PackageVersion-ChIRiDpv.js";
import { P as ot } from "./PenAndPaper-OV0eQPcd.js";
import { u as st } from "./useUserOptionState-BIvW1Kz7.js";
import { u as rt } from "./useChartAccessibility-BWojgys7.js";
import { _ as ut } from "./_plugin-vue_export-helper-CHgC5LLL.js";
const nt = ["id"], it = {
  key: 1,
  ref: "noTitle",
  class: "vue-data-ui-no-title-space",
  style: "height:36px; width: 100%;background:transparent"
}, ct = {
  key: 2,
  style: "width:100%;background:transparent;padding-bottom:24px"
}, vt = ["xmlns", "viewBox"], dt = ["width", "height"], ht = ["id"], pt = ["stdDeviation"], yt = ["d", "stroke", "stroke-width"], ft = ["d", "stroke", "stroke-width"], gt = ["filter"], bt = ["d", "stroke", "stroke-width"], mt = ["d", "stroke-width", "onMouseenter", "onClick"], kt = {
  key: 5,
  class: "vue-data-ui-watermark"
}, Ct = ["onClick"], wt = { key: 0 }, $t = { key: 1 }, xt = {
  key: 8,
  ref: "source",
  dir: "auto"
}, _t = ["innerHTML"], Tt = {
  __name: "vue-ui-galaxy",
  props: {
    config: {
      type: Object,
      default() {
        return {};
      }
    },
    dataset: {
      type: Array,
      default() {
        return [];
      }
    }
  },
  emits: ["selectLegend", "selectDatapoint"],
  setup(me, { expose: ke, emit: Ce }) {
    const { vue_ui_galaxy: we } = Me(), f = me, L = h(() => !!f.dataset && f.dataset.length);
    Ae(() => {
      R();
    });
    function R() {
      De(f.dataset) ? he({
        componentName: "VueUiGalaxy",
        type: "dataset"
      }) : f.dataset.forEach((t, a) => {
        Be({
          datasetObject: t,
          requiredAttributes: ["name", "values"]
        }).forEach((l) => {
          he({
            componentName: "VueUiGalaxy",
            type: "datasetSerieAttribute",
            property: l,
            index: a
          });
        });
      });
    }
    const T = u(pe()), F = u(null), $e = u(null), B = u(!1), G = u(""), g = u(null), X = u(0), j = u(0), Y = u(0), q = u(0), e = h({
      get: () => Q(),
      set: (t) => t
    }), { userOptionsVisible: z, setUserOptionsVisibility: J, keepUserOptionState: K } = st({ config: e.value }), { svgRef: xe } = rt({ config: e.value.style.chart.title });
    function Q() {
      const t = be({
        userConfig: f.config,
        defaultConfig: we
      });
      return t.theme ? {
        ...be({
          userConfig: ze.vue_ui_galaxy[t.theme] || f.config,
          defaultConfig: t
        }),
        customPalette: Ge[t.theme] || D
      } : t;
    }
    Ie(() => f.config, (t) => {
      e.value = Q(), z.value = !e.value.userOptions.showOnChartHover, R(), j.value += 1, Y.value += 1, q.value += 1, p.value.dataLabels.show = e.value.style.chart.layout.labels.dataLabels.show, p.value.showTable = e.value.table.show, p.value.showTooltip = e.value.style.chart.tooltip.show;
    }, { deep: !0 });
    const { isPrinting: Z, isImaging: ee, generatePdf: te, generateImage: le } = Ze({
      elementId: `galaxy_${T.value}`,
      fileName: e.value.style.chart.title.text || "vue-ui-galaxy"
    }), _e = h(() => e.value.userOptions.show && !e.value.style.chart.title.text), Te = h(() => Ue(e.value.customPalette)), p = u({
      dataLabels: {
        show: e.value.style.chart.layout.labels.dataLabels.show
      },
      showTable: e.value.table.show,
      showTooltip: e.value.style.chart.tooltip.show
    }), P = u({
      height: 180,
      // or 250 if non fibo
      width: 250
    }), ae = Ce, y = u([]);
    function U(t) {
      y.value.includes(t.id) ? y.value = y.value.filter((a) => a !== t.id) : y.value.push(t.id), ae("selectLegend", O.value.map((a) => ({
        name: a.name,
        color: a.color,
        value: a.value
      })));
    }
    const C = h(() => f.dataset.map((t, a) => ({
      name: t.name,
      color: We(t.color) || Te.value[a] || D[a] || D[a % D.length],
      value: t.values ? ye(t.values).reduce((l, s) => l + s, 0) : 0,
      absoluteValues: ye(t.values),
      id: pe(),
      seriesIndex: a
    })).sort((t, a) => a.value - t.value));
    function Pe() {
      return C.value.map((t) => ({
        name: t.name,
        color: t.color,
        value: t.value
      }));
    }
    const b = h(() => C.value.filter((t) => !y.value.includes(t.id)).map((t) => t.value).reduce((t, a) => t + a, 0)), Oe = u(190), oe = h(() => C.value.filter((t) => !y.value.includes(t.id))), O = h(() => {
      const t = [];
      for (let a = 0; a < oe.value.length; a += 1) {
        const l = oe.value[a];
        let s = l.value / b.value * Oe.value;
        a > 0 && t.length && (s += t[a - 1].points), t.push({
          points: s,
          ...l,
          seriesIndex: a,
          proportion: l.value / b.value,
          path: He({
            points: s,
            startX: 115 + e.value.style.chart.layout.arcs.offsetX,
            startY: 90 + e.value.style.chart.layout.arcs.offsetY
          })
        });
      }
      return t.filter((a, l) => !y.value.includes(a.id)).toSorted((a, l) => l.points - a.points);
    }), x = u(!1);
    function Se(t) {
      x.value = t, X.value += 1;
    }
    const W = u(null);
    function Ne({ datapoint: t, _relativeIndex: a, seriesIndex: l, show: s = !1 }) {
      W.value = {
        datapoint: t,
        seriesIndex: l,
        series: C.value,
        config: e.value
      }, B.value = s, g.value = t.id;
      let r = "";
      const w = e.value.style.chart.tooltip.customFormat;
      ge(w) && Ye(() => w({
        seriesIndex: l,
        datapoint: t,
        series: C.value,
        config: e.value
      })) ? G.value = w({
        seriesIndex: l,
        datapoint: t,
        series: C.value,
        config: e.value
      }) : (r += `<div style="width:100%;text-align:center;border-bottom:1px solid ${e.value.style.chart.tooltip.borderColor};padding-bottom:6px;margin-bottom:3px;">${t.name}</div>`, r += `<div style="display:flex;flex-direction:row;gap:6px;align-items:center;"><svg viewBox="0 0 12 12" height="14" width="14"><circle cx="6" cy="6" r="6" stroke="none" fill="${t.color}"/></svg>`, e.value.style.chart.tooltip.showValue && (r += `<b>${fe(
        e.value.style.chart.layout.labels.dataLabels.formatter,
        t.value,
        k({
          p: e.value.style.chart.layout.labels.dataLabels.prefix,
          v: t.value,
          s: e.value.style.chart.layout.labels.dataLabels.suffix,
          r: e.value.style.chart.tooltip.roundingValue
        }),
        { datapoint: t, seriesIndex: l }
      )}</b>`), e.value.style.chart.tooltip.showPercentage && (e.value.style.chart.tooltip.showValue ? r += `<span>(${k({
        v: t.proportion * 100,
        s: "%",
        r: e.value.style.chart.tooltip.roundingPercentage
      })})</span></div>` : r += `<b>${k({
        v: t.proportion * 100,
        s: "%",
        r: e.value.style.chart.tooltip.roundingPercentage
      })}</b></div>`), G.value = `<div>${r}</div>`);
    }
    const se = h(() => C.value.map((t, a) => ({
      ...t,
      proportion: (t.value || 0) / f.dataset.map((l) => (l.values || []).reduce((s, r) => s + r, 0)).reduce((l, s) => l + s, 0),
      opacity: y.value.includes(t.id) ? 0.5 : 1,
      shape: t.shape || "circle",
      segregate: () => U(t),
      isSegregated: y.value.includes(t.id)
    }))), Le = h(() => ({
      cy: "galaxy-div-legend",
      backgroundColor: e.value.style.chart.legend.backgroundColor,
      color: e.value.style.chart.legend.color,
      fontSize: e.value.style.chart.legend.fontSize,
      paddingBottom: 12,
      fontWeight: e.value.style.chart.legend.bold ? "bold" : ""
    })), m = h(() => {
      const t = O.value.map((l) => ({
        name: l.name,
        color: l.color
      })), a = O.value.map((l) => l.value);
      return { head: t, body: a };
    });
    function re() {
      Ve(() => {
        const t = m.value.head.map((s, r) => [[
          s.name
        ], [m.value.body[r]], [isNaN(m.value.body[r] / b.value) ? "-" : m.value.body[r] / b.value * 100]]), a = [[e.value.style.chart.title.text], [e.value.style.chart.title.subtitle.text], [[""], ["val"], ["%"]]].concat(t), l = Xe(a);
        je({ csvContent: l, title: e.value.style.chart.title.text || "vue-ui-galaxy" });
      });
    }
    const A = h(() => {
      const t = [
        ' <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M18 16v2a1 1 0 0 1 -1 1h-11l6 -7l-6 -7h11a1 1 0 0 1 1 1v2" /></svg>',
        k({ p: e.value.style.chart.layout.labels.dataLabels.prefix, v: b.value, s: e.value.style.chart.layout.labels.dataLabels.suffix, r: e.value.table.td.roundingValue }),
        "100%"
      ], a = m.value.head.map((r, w) => {
        const Fe = k({ p: e.value.style.chart.layout.labels.dataLabels.prefix, v: m.value.body[w], s: e.value.style.chart.layout.labels.dataLabels.suffix, r: e.value.table.td.roundingValue });
        return [
          {
            color: r.color,
            name: r.name
          },
          Fe,
          isNaN(m.value.body[w] / b.value) ? "-" : k({
            v: m.value.body[w] / b.value * 100,
            s: "%",
            r: e.value.table.td.roundingPercentage
          })
        ];
      }), l = {
        th: {
          backgroundColor: e.value.table.th.backgroundColor,
          color: e.value.table.th.color,
          outline: e.value.table.th.outline
        },
        td: {
          backgroundColor: e.value.table.td.backgroundColor,
          color: e.value.table.td.color,
          outline: e.value.table.td.outline
        },
        breakpoint: e.value.table.responsiveBreakpoint
      };
      return {
        colNames: [
          e.value.table.columnNames.series,
          e.value.table.columnNames.value,
          e.value.table.columnNames.percentage
        ],
        head: t,
        body: a,
        config: l
      };
    });
    function ue() {
      p.value.showTable = !p.value.showTable;
    }
    function ne() {
      p.value.showTooltip = !p.value.showTooltip;
    }
    const I = u(!1);
    function H() {
      I.value = !I.value;
    }
    return ke({
      getData: Pe,
      generatePdf: te,
      generateCsv: re,
      generateImage: le,
      toggleTable: ue,
      toggleTooltip: ne,
      toggleAnnotator: H
    }), (t, a) => (o(), n("div", {
      ref_key: "galaxyChart",
      ref: F,
      class: V(`vue-ui-galaxy ${x.value ? "vue-data-ui-wrapper-fullscreen" : ""} ${e.value.useCssAnimation ? "" : "vue-ui-dna"}`),
      style: E(`font-family:${e.value.style.fontFamily};width:100%; text-align:center;${e.value.style.chart.title.text ? "" : "padding-top:36px"};background:${e.value.style.chart.backgroundColor}`),
      id: `galaxy_${T.value}`,
      onMouseenter: a[3] || (a[3] = () => i(J)(!0)),
      onMouseleave: a[4] || (a[4] = () => i(J)(!1))
    }, [
      e.value.userOptions.buttons.annotator ? (o(), $(ot, {
        key: 0,
        parent: F.value,
        backgroundColor: e.value.style.chart.backgroundColor,
        color: e.value.style.chart.color,
        active: I.value,
        onClose: H
      }, null, 8, ["parent", "backgroundColor", "color", "active"])) : c("", !0),
      _e.value ? (o(), n("div", it, null, 512)) : c("", !0),
      e.value.style.chart.title.text ? (o(), n("div", ct, [
        (o(), $(Je, {
          key: `title_${j.value}`,
          config: {
            title: {
              cy: "galaxy-div-title",
              ...e.value.style.chart.title
            },
            subtitle: {
              cy: "galaxy-div-subtitle",
              ...e.value.style.chart.title.subtitle
            }
          }
        }, null, 8, ["config"]))
      ])) : c("", !0),
      e.value.userOptions.show && L.value && (i(K) || i(z)) ? (o(), $(et, {
        ref_key: "details",
        ref: $e,
        key: `user_option_${X.value}`,
        backgroundColor: e.value.style.chart.backgroundColor,
        color: e.value.style.chart.color,
        isPrinting: i(Z),
        isImaging: i(ee),
        uid: T.value,
        hasTooltip: e.value.userOptions.buttons.tooltip && e.value.style.chart.tooltip.show,
        hasPdf: e.value.userOptions.buttons.pdf,
        hasXls: e.value.userOptions.buttons.csv,
        hasImg: e.value.userOptions.buttons.img,
        hasTable: e.value.userOptions.buttons.table,
        hasFullscreen: e.value.userOptions.buttons.fullscreen,
        isTooltip: p.value.showTooltip,
        isFullscreen: x.value,
        titles: { ...e.value.userOptions.buttonTitles },
        chartElement: F.value,
        position: e.value.userOptions.position,
        hasAnnotator: e.value.userOptions.buttons.annotator,
        isAnnotation: I.value,
        onToggleFullscreen: Se,
        onGeneratePdf: i(te),
        onGenerateCsv: re,
        onGenerateImage: i(le),
        onToggleTable: ue,
        onToggleTooltip: ne,
        onToggleAnnotator: H,
        style: E({
          visibility: i(K) ? i(z) ? "visible" : "hidden" : "visible"
        })
      }, Ee({ _: 2 }, [
        t.$slots.optionTooltip ? {
          name: "optionTooltip",
          fn: d(() => [
            v(t.$slots, "optionTooltip", {}, void 0, !0)
          ]),
          key: "0"
        } : void 0,
        t.$slots.optionPdf ? {
          name: "optionPdf",
          fn: d(() => [
            v(t.$slots, "optionPdf", {}, void 0, !0)
          ]),
          key: "1"
        } : void 0,
        t.$slots.optionCsv ? {
          name: "optionCsv",
          fn: d(() => [
            v(t.$slots, "optionCsv", {}, void 0, !0)
          ]),
          key: "2"
        } : void 0,
        t.$slots.optionImg ? {
          name: "optionImg",
          fn: d(() => [
            v(t.$slots, "optionImg", {}, void 0, !0)
          ]),
          key: "3"
        } : void 0,
        t.$slots.optionTable ? {
          name: "optionTable",
          fn: d(() => [
            v(t.$slots, "optionTable", {}, void 0, !0)
          ]),
          key: "4"
        } : void 0,
        t.$slots.optionFullscreen ? {
          name: "optionFullscreen",
          fn: d(({ toggleFullscreen: l, isFullscreen: s }) => [
            v(t.$slots, "optionFullscreen", S(N({ toggleFullscreen: l, isFullscreen: s })), void 0, !0)
          ]),
          key: "5"
        } : void 0,
        t.$slots.optionAnnotator ? {
          name: "optionAnnotator",
          fn: d(({ toggleAnnotator: l, isAnnotator: s }) => [
            v(t.$slots, "optionAnnotator", S(N({ toggleAnnotator: l, isAnnotator: s })), void 0, !0)
          ]),
          key: "6"
        } : void 0
      ]), 1032, ["backgroundColor", "color", "isPrinting", "isImaging", "uid", "hasTooltip", "hasPdf", "hasXls", "hasImg", "hasTable", "hasFullscreen", "isTooltip", "isFullscreen", "titles", "chartElement", "position", "hasAnnotator", "isAnnotation", "onGeneratePdf", "onGenerateImage", "style"])) : c("", !0),
      L.value ? (o(), n("svg", {
        key: 4,
        ref_key: "svgRef",
        ref: xe,
        xmlns: i(Re),
        class: V({ "vue-data-ui-fullscreen--on": x.value, "vue-data-ui-fulscreen--off": !x.value }),
        viewBox: `0 0 ${P.value.width} ${P.value.height}`,
        style: E(`max-width:100%; overflow: visible; background:transparent;color:${e.value.style.chart.color}`)
      }, [
        ie(at),
        t.$slots["chart-background"] ? (o(), n("foreignObject", {
          key: 0,
          x: 0,
          y: 0,
          width: P.value.width,
          height: P.value.height,
          style: {
            pointerEvents: "none"
          }
        }, [
          v(t.$slots, "chart-background", {}, void 0, !0)
        ], 8, dt)) : c("", !0),
        _("defs", null, [
          _("filter", {
            id: `blur_${T.value}`,
            x: "-50%",
            y: "-50%",
            width: "200%",
            height: "200%"
          }, [
            _("feGaussianBlur", {
              in: "SourceGraphic",
              stdDeviation: 100 / e.value.style.chart.layout.arcs.gradient.intensity
            }, null, 8, pt)
          ], 8, ht)
        ]),
        (o(!0), n(ce, null, ve(O.value, (l) => (o(), n("g", null, [
          l.value ? (o(), n("path", {
            key: 0,
            d: l.path,
            fill: "none",
            stroke: e.value.style.chart.backgroundColor,
            "stroke-width": (e.value.style.chart.layout.arcs.strokeWidth + e.value.style.chart.layout.arcs.borderWidth) * (g.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
            "stroke-linecap": "round"
          }, null, 8, yt)) : c("", !0),
          l.value ? (o(), n("path", {
            key: 1,
            d: l.path,
            fill: "none",
            stroke: l.color,
            "stroke-width": e.value.style.chart.layout.arcs.strokeWidth * (g.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
            "stroke-linecap": "round",
            class: V(`${g.value && g.value !== l.id && e.value.useBlurOnHover ? "vue-ui-galaxy-blur" : ""}`)
          }, null, 10, ft)) : c("", !0),
          l.value && e.value.style.chart.layout.arcs.gradient.show ? (o(), n("g", {
            key: 2,
            filter: `url(#blur_${T.value})`
          }, [
            _("path", {
              d: l.path,
              fill: "none",
              stroke: e.value.style.chart.layout.arcs.gradient.color,
              "stroke-width": e.value.style.chart.layout.arcs.strokeWidth / 2 * (g.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
              "stroke-linecap": "round",
              class: V(`vue-ui-galaxy-gradient ${g.value && g.value !== l.id && e.value.useBlurOnHover ? "vue-ui-galaxy-blur" : ""}`)
            }, null, 10, bt)
          ], 8, gt)) : c("", !0)
        ]))), 256)),
        (o(!0), n(ce, null, ve(O.value, (l, s) => (o(), n("g", null, [
          l.value ? (o(), n("path", {
            key: 0,
            d: l.path,
            fill: "none",
            stroke: "transparent",
            "stroke-width": e.value.style.chart.layout.arcs.strokeWidth + e.value.style.chart.layout.arcs.borderWidth,
            "stroke-linecap": "round",
            onMouseenter: (r) => Ne({
              datapoint: l,
              seriesIndex: l.seriesIndex,
              show: !0
            }),
            onMouseleave: a[0] || (a[0] = (r) => {
              B.value = !1, g.value = null;
            }),
            onClick: (r) => ae("selectDatapoint", l)
          }, null, 40, mt)) : c("", !0)
        ]))), 256)),
        v(t.$slots, "svg", { svg: P.value }, void 0, !0)
      ], 14, vt)) : c("", !0),
      t.$slots.watermark ? (o(), n("div", kt, [
        v(t.$slots, "watermark", S(N({ isPrinting: i(Z) || i(ee) })), void 0, !0)
      ])) : c("", !0),
      L.value ? c("", !0) : (o(), $(tt, {
        key: 6,
        config: {
          type: "galaxy",
          style: {
            backgroundColor: e.value.style.chart.backgroundColor,
            galaxy: {
              color: "#CCCCCC"
            }
          }
        }
      }, null, 8, ["config"])),
      e.value.style.chart.legend.show ? (o(), $(qe, {
        key: `legend_${q.value}`,
        legendSet: se.value,
        config: Le.value,
        onClickMarker: a[1] || (a[1] = ({ legend: l }) => U(l))
      }, {
        item: d(({ legend: l, index: s }) => [
          _("div", {
            onClick: (r) => U(l),
            style: E(`opacity:${y.value.includes(l.id) ? 0.5 : 1}`)
          }, [
            de(M(l.name) + ": " + M(i(fe)(
              e.value.style.chart.layout.labels.dataLabels.formatter,
              l.value,
              i(k)({
                p: e.value.style.chart.layout.labels.dataLabels.prefix,
                v: l.value,
                s: e.value.style.chart.layout.labels.dataLabels.suffix,
                r: e.value.style.chart.legend.roundingValue
              }),
              { datapoint: l, seriesIndex: s }
            )) + " ", 1),
            y.value.includes(l.id) ? (o(), n("span", $t, " ( - % ) ")) : (o(), n("span", wt, " (" + M(isNaN(l.value / b.value) ? "-" : i(k)({
              v: l.value / b.value * 100,
              s: "%",
              r: e.value.style.chart.legend.roundingPercentage
            })) + ") ", 1))
          ], 12, Ct)
        ]),
        _: 1
      }, 8, ["legendSet", "config"])) : c("", !0),
      v(t.$slots, "legend", { legend: se.value }, void 0, !0),
      t.$slots.source ? (o(), n("div", xt, [
        v(t.$slots, "source", {}, void 0, !0)
      ], 512)) : c("", !0),
      ie(Ke, {
        show: p.value.showTooltip && B.value,
        backgroundColor: e.value.style.chart.tooltip.backgroundColor,
        color: e.value.style.chart.tooltip.color,
        borderRadius: e.value.style.chart.tooltip.borderRadius,
        borderColor: e.value.style.chart.tooltip.borderColor,
        borderWidth: e.value.style.chart.tooltip.borderWidth,
        fontSize: e.value.style.chart.tooltip.fontSize,
        backgroundOpacity: e.value.style.chart.tooltip.backgroundOpacity,
        position: e.value.style.chart.tooltip.position,
        offsetY: e.value.style.chart.tooltip.offsetY,
        parent: F.value,
        content: G.value,
        isFullscreen: x.value,
        isCustom: i(ge)(e.value.style.chart.tooltip.customFormat)
      }, {
        "tooltip-before": d(() => [
          v(t.$slots, "tooltip-before", S(N({ ...W.value })), void 0, !0)
        ]),
        "tooltip-after": d(() => [
          v(t.$slots, "tooltip-after", S(N({ ...W.value })), void 0, !0)
        ]),
        _: 3
      }, 8, ["show", "backgroundColor", "color", "borderRadius", "borderColor", "borderWidth", "fontSize", "backgroundOpacity", "position", "offsetY", "parent", "content", "isFullscreen", "isCustom"]),
      L.value ? (o(), $(lt, {
        key: 9,
        hideDetails: "",
        config: {
          open: p.value.showTable,
          maxHeight: 1e4,
          body: {
            backgroundColor: e.value.style.chart.backgroundColor,
            color: e.value.style.chart.color
          },
          head: {
            backgroundColor: e.value.style.chart.backgroundColor,
            color: e.value.style.chart.color
          }
        }
      }, {
        content: d(() => [
          (o(), $(Qe, {
            key: `table_${Y.value}`,
            colNames: A.value.colNames,
            head: A.value.head,
            body: A.value.body,
            config: A.value.config,
            title: `${e.value.style.chart.title.text}${e.value.style.chart.title.subtitle.text ? ` : ${e.value.style.chart.title.subtitle.text}` : ""}`,
            onClose: a[2] || (a[2] = (l) => p.value.showTable = !1)
          }, {
            th: d(({ th: l }) => [
              _("div", {
                innerHTML: l,
                style: { display: "flex", "align-items": "center" }
              }, null, 8, _t)
            ]),
            td: d(({ td: l }) => [
              de(M(l.name || l), 1)
            ]),
            _: 1
          }, 8, ["colNames", "head", "body", "config", "title"]))
        ]),
        _: 1
      }, 8, ["config"])) : c("", !0)
    ], 46, nt));
  }
}, Ut = /* @__PURE__ */ ut(Tt, [["__scopeId", "data-v-67e1681a"]]);
export {
  Ut as default
};
